// $Id: themesettings_ui_extras_verticaltabs.js,v 1.1.2.5 2011/01/09 20:36:49 andrewmacpherson Exp $

/**
 * @file
 * 
 * Provides vertical tab summaries for Logo and Shortcut icon radio buttons.
 */

// The following line will prevent a JavaScript error if this file is included and vertical tabs are disabled.
Drupal.verticalTabs = Drupal.verticalTabs || {};

Drupal.verticalTabs.logo = function() {
  var label = '';
  $('.vertical-tabs-logo .form-radios label').each(function() {
    if ($('input', this).is(':checked')) {
      label =  $(this).text();
    }
  });
  return label;
};

Drupal.verticalTabs.favicon = function() {
  var label = '';
  $('.vertical-tabs-favicon .form-radios label').each(function() {
    if ($('input', this).is(':checked')) {
      label = $(this).text();
    }
  });
  return label;
};
